#pragma once

#include "pruning_config.h"

class TExternalPruning : public TPruningConfig {
public:
    TExternalPruning(const TString& subtype);
    virtual TType GetType() const override final;
    virtual const TString& GetSubType() const override final;
    virtual TString ToString() const override final;
    virtual bool PruningOn() const override final;
    virtual bool NeedSort() const override final;

    virtual const TString& GetData() const = 0;

private:
    TString SubType;
};
